Class AutoconfigApiExceptionHandler
java.lang.Object
es.urjc.etsii.grafo.autoconfig.controller.AutoconfigApiExceptionHandler
@RestControllerAdvice(assignableTypes={AutoconfigController.class,ExecutionController.class})
public class AutoconfigApiExceptionHandler
extends Object
Converts invalid autoconfig API query parameters into RFC 9457 problem details.
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionorg.springframework.http.ProblemDetailorg.springframework.http.ProblemDetailinvalidRequest(IllegalArgumentException exception) org.springframework.http.ProblemDetailresponseStatus(org.springframework.web.server.ResponseStatusException exception)
-
Constructor Details
-
AutoconfigApiExceptionHandler
public AutoconfigApiExceptionHandler()
-
-
Method Details
-
responseStatus
@ExceptionHandler(org.springframework.web.server.ResponseStatusException.class) public org.springframework.http.ProblemDetail responseStatus(org.springframework.web.server.ResponseStatusException exception) -
invalidIntegrationKey
@ExceptionHandler(InvalidIntegrationKeyException.class) public org.springframework.http.ProblemDetail invalidIntegrationKey(InvalidIntegrationKeyException exception) -
invalidRequest
@ExceptionHandler(IllegalArgumentException.class) public org.springframework.http.ProblemDetail invalidRequest(IllegalArgumentException exception)
-